INTERFACE
SUBROUTINE gpspderivs(klev,&
 & khoriz,&
 & kk,&
 & pdsep,&
 & ptheta_min,&
 & ptheta_max,&
 & ptheta_tan,&
 & prtan,&
 & pamult,&
 & prefrac,&
 & pradius,&
 & py,&
 & pdydh) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: klev
INTEGER(KIND=JPIM), INTENT(IN) :: khoriz
INTEGER(KIND=JPIM), INTENT(IN) :: kk
REAL(KIND=JPRB), INTENT(IN) :: pdsep
REAL(KIND=JPRB), INTENT(IN) :: ptheta_min
REAL(KIND=JPRB), INTENT(IN) :: ptheta_max
REAL(KIND=JPRB), INTENT(IN) :: ptheta_tan
REAL(KIND=JPRB), INTENT(IN) :: prtan
REAL(KIND=JPRB), INTENT(IN) :: pamult
REAL(KIND=JPRB), INTENT(IN) :: prefrac(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pradius(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: py(4)
REAL(KIND=JPRB), INTENT(OUT) :: pdydh(4)
END SUBROUTINE gpspderivs
END INTERFACE
